package com.docus.server.collect.infrastructure.dao;

import com.docus.server.collect.infrastructure.enums.IIntegerEnum;

public enum CollectTypeEnum implements IIntegerEnum {

    WEBSERVICE_XML_DEPT(0, "WEBSERVICE_XML_DEPT", "新增/修改-科室信息"),
    WEBSERVICE_XML_USER(1, "WEBSERVICE_XML_USER", "新增/修改-用户信息"),
    WEBSERVICE_XML_BASIC(2, "WEBSERVICE_XML_BASIC", "新增/修改-基础数据"),
    WEBSERVICE_XML_SA_REPORT(3, "WEBSERVICE_XML_SA_REPORT", "新增-手麻报告信息"),
    WEBSERVICE_XML_ICU_REPORT(4, "WEBSERVICE_XML_ICU_REPORT", "新增-重症报告信息"),
    WEBSERVICE_XML_EXAMINATION_REPORT(5, "WEBSERVICE_XML_EXAMINATION_REPORT", "新增-检验报告信息"),
    WEBSERVICE_XML_INSERT_INSPECTION_REPORT(6, "WEBSERVICE_XML_INSERT_INSPECTION_REPORT", "新增-检查报告的信息"),
    WEBSERVICE_XML_UPDATE_INSPECTION_REPORT(7, "WEBSERVICE_XML_UPDATE_INSPECTION_REPORT", "更新-检查报告的信息");

    private Integer value;
    private String display;
    private String desc;

    CollectTypeEnum(Integer value, String display, String desc) {
        this.value = value;
        this.display = display;
        this.desc = desc;
    }

    public String getDesc() {
        return desc;
    }

    @Override
    public Integer getValue() {
        return value;
    }

    @Override
    public String getDisplay() {

        return display;
    }
}
