package com.docus.server.ws.convert;

import com.docus.core.util.DateUtil;
import com.docus.infrastructure.redis.service.IdService;
import com.docus.server.collect.infrastructure.dao.CollectTypeEnum;
import com.docus.server.collect.infrastructure.dao.StateEnum;
import com.docus.server.collect.infrastructure.dao.TaskOriginalMessage;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

@Component
public class TaskOriginalMessageConverter {
    @Resource
    private IdService idService;

    public TaskOriginalMessage toConvertTaskOriginalMessageDO(Object json, String xml, CollectTypeEnum collectType) {
        TaskOriginalMessage taskOriginalMessage = new TaskOriginalMessage();
        taskOriginalMessage.setId(idService.getDateSeq());
        taskOriginalMessage.setName(collectType.name());
        taskOriginalMessage.setMemo(collectType.getDesc());
        taskOriginalMessage.setCollectType(collectType);
        taskOriginalMessage.setJsonStr(json);
        taskOriginalMessage.setSource(xml);
        taskOriginalMessage.setState(StateEnum.OK);
        taskOriginalMessage.setCreateTime(DateUtil.now());
        taskOriginalMessage.setUpdateTime(DateUtil.now());
        return taskOriginalMessage;
    }
}
